Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.runtime
Interface WorklistRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

Deprecated. Use WorklistContext API instead.

    public interface WorklistRuntimeMBean

extends weblogic.management.runtime.RuntimeMBean

MBean for accessing runtime information about the worklist

Field Summary
`static long` | `CACHING_STUB_SVUID` Deprecated. The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).
`static String` | `NAME` Deprecated. bringing forward from impl to interface.

Method Summary
`void` | `abortTask(String taskId)` Deprecated.
`void` | `archiveTasks()` Deprecated.
`void` | `assignToUser(String userName, String taskId)` Deprecated.
`String` | `assignToUserInGroup(String groupName, String taskId)` Deprecated.
`void` | `assignToUsersAndGroups(String[] userNamesAndOrGroupNames, String taskId)` Deprecated.
`void` | `claimTask(String taskId)` Deprecated.
`void` | `claimTask(String user, String taskId)` Deprecated.
`void` | `completeTask(String taskId)` Deprecated.
`void` | `deleteTask(String taskId)` Deprecated.
`void` | `deleteTasks(TaskSelector selector)` Deprecated.
`int` | `getSelectedTasksNumber(TaskSelector selector)` Deprecated.
`String[]` | `getTaskIds(TaskSelector selector)` Deprecated.
`TaskInfo` | `getTaskInfo(String taskId)` Deprecated.
`TaskInfo[]` | `getTaskInfos(TaskSelector selector)` Deprecated.
`String[]` | `getTaskProperties(String[] propertyNames, String taskId)` Deprecated.
`String[]` | `getTaskPropertiesNames(String taskId)` Deprecated. Return all the task properties names
`String` | `getTaskProperty(String propertyName, String taskId)` Deprecated. get a task Property
`TaskMessage` | `getTaskRequest(String taskId)` Deprecated.
`XmlObject` | `getTaskRequestAsXmlObject(String taskId)` Deprecated.
`TaskMessage` | `getTaskResponse(String taskId)` Deprecated.
`XmlObject` | `getTaskResponseAsXmlObject(String taskId)` Deprecated.
`void` | `purgeTasks()` Deprecated.
`String[]` | `removeTaskProperties(String[] propertyNames, String taskId)` Deprecated. Return the values of the removed properties, the value is null if not found
`void` | `resumeTask(String taskId)` Deprecated.
`void` | `returnTask(String taskId)` Deprecated.
`void` | `setTaskCanBeAborted(Boolean value, String taskId)` Deprecated.
`void` | `setTaskCanBeReassigned(Boolean value, String taskId)` Deprecated.
`void` | `setTaskCanBeReturned(Boolean value, String taskId)` Deprecated.
`void` | `setTaskClaimDueBusinessDate(BusinessTime time, String taskId)` Deprecated.
`void` | `setTaskClaimDueDate(Date claimDueDate, String taskId)` Deprecated.
`void` | `setTaskComment(String comment, String taskId)` Deprecated.
`void` | `setTaskCompletionDueBusinessDate(BusinessTime time, String taskId)` Deprecated.
`void` | `setTaskCompletionDueDate(Date completeDueDate, String taskId)` Deprecated.
`void` | `setTaskOwner(String owner, String taskId)` Deprecated.
`void` | `setTaskPriority(Integer priority, String taskId)` Deprecated.
`String[]` | `setTaskProperties(String[] propertyNames, String[] values, String taskId)` Deprecated.
`String` | `setTaskProperty(String propertyName, String value, String taskId)` Deprecated. Return the previous value if there was one
`void` | `setTaskRequest(TaskMessage request, String taskId)` Deprecated.
`void` | `setTaskRequestAsXmlObject(XmlObject request, String mimeType, String taskId)` Deprecated.
`void` | `setTaskResponse(TaskMessage response, String taskId)` Deprecated.
`void` | `setTaskResponseAsXmlObject(XmlObject response, String mimeType, String taskId)` Deprecated.
`void` | `startTask(String taskId)` Deprecated.
`void` | `stopTask(String taskId)` Deprecated.
`void` | `suspendTask(String taskId)` Deprecated.

Methods inherited from interface weblogic.management.runtime.RuntimeMBean
`addPropertyChangeListener, preDeregister, removePropertyChangeListener`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    static final long CACHING_STUB_SVUID

  Deprecated.
  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

### NAME

    static final String NAME

  Deprecated.
  bringing forward from impl to interface.

  Since:
    9.0
  See Also:
    Constant Field Values

Method Detail

### getSelectedTasksNumber

    int getSelectedTasksNumber(TaskSelector selector)
                               throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### getTaskInfo

    TaskInfo getTaskInfo(String taskId)
                         throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### getTaskInfos

    TaskInfo[] getTaskInfos(TaskSelector selector)
                            throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### getTaskIds

    String[] getTaskIds(TaskSelector selector)
                        throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### assignToUser

    void assignToUser(String userName,
                      String taskId)
                      throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### assignToUserInGroup

    String assignToUserInGroup(String groupName,
                               String taskId)
                               throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### assignToUsersAndGroups

    void assignToUsersAndGroups(String[] userNamesAndOrGroupNames,
                                String taskId)
                                throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### claimTask

    void claimTask(String taskId)
                   throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### claimTask

    void claimTask(String user,
                   String taskId)
                   throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### returnTask

    void returnTask(String taskId)
                    throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### startTask

    void startTask(String taskId)
                   throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### stopTask

    void stopTask(String taskId)
                  throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### suspendTask

    void suspendTask(String taskId)
                     throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### resumeTask

    void resumeTask(String taskId)
                    throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### completeTask

    void completeTask(String taskId)
                      throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### abortTask

    void abortTask(String taskId)
                   throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### setTaskComment

    void setTaskComment(String comment,
                        String taskId)
                        throws MBeanException

  Deprecated.
  Parameters:
    `comment` -
    `taskId` -
  Throws:
    `MBeanException`

### setTaskPriority

    void setTaskPriority(Integer priority,
                         String taskId)
                         throws MBeanException

  Deprecated.
  Parameters:
    `priority` -
    `taskId` -
  Throws:
    `MBeanException`

### setTaskCompletionDueDate

    void setTaskCompletionDueDate(Date completeDueDate,
                                  String taskId)
                                  throws MBeanException

  Deprecated.
  Parameters:
    `completeDueDate` -
    `taskId` -
  Throws:
    `MBeanException`

### setTaskClaimDueDate

    void setTaskClaimDueDate(Date claimDueDate,
                             String taskId)
                             throws MBeanException

  Deprecated.
  Parameters:
    `claimDueDate` -
    `taskId` -
  Throws:
    `MBeanException`

### setTaskCompletionDueBusinessDate

    void setTaskCompletionDueBusinessDate(BusinessTime time,
                                          String taskId)
                                          throws MBeanException

  Deprecated.
  Parameters:
    `time` -
    `taskId` -
  Throws:
    `MBeanException`

### setTaskClaimDueBusinessDate

    void setTaskClaimDueBusinessDate(BusinessTime time,
                                     String taskId)
                                     throws MBeanException

  Deprecated.
  Parameters:
    `time` -
    `taskId` -
  Throws:
    `MBeanException`

### setTaskOwner

    void setTaskOwner(String owner,
                      String taskId)
                      throws MBeanException

  Deprecated.
  Parameters:
    `owner` -
    `taskId` -
  Throws:
    `MBeanException`

### setTaskCanBeReassigned

    void setTaskCanBeReassigned(Boolean value,
                                String taskId)
                                throws MBeanException

  Deprecated.
  Parameters:
    `value` -
    `taskId` -
  Throws:
    `MBeanException`

### setTaskCanBeReturned

    void setTaskCanBeReturned(Boolean value,
                              String taskId)
                              throws MBeanException

  Deprecated.
  Parameters:
    `value` -
    `taskId` -
  Throws:
    `MBeanException`

### setTaskCanBeAborted

    void setTaskCanBeAborted(Boolean value,
                             String taskId)
                             throws MBeanException

  Deprecated.
  Parameters:
    `value` -
    `taskId` -
  Throws:
    `MBeanException`

### getTaskRequest

    TaskMessage getTaskRequest(String taskId)
                               throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### getTaskRequestAsXmlObject

    XmlObject getTaskRequestAsXmlObject(String taskId)
                                        throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### setTaskRequest

    void setTaskRequest(TaskMessage request,
                        String taskId)
                        throws MBeanException

  Deprecated.
  Parameters:
    `request` -
    `taskId` -
  Throws:
    `MBeanException`

### setTaskRequestAsXmlObject

    void setTaskRequestAsXmlObject(XmlObject request,
                                   String mimeType,
                                   String taskId)
                                   throws MBeanException

  Deprecated.
  Parameters:
    `request` -
    `mimeType` -
    `taskId` -
  Throws:
    `MBeanException`

### getTaskResponse

    TaskMessage getTaskResponse(String taskId)
                                throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### getTaskResponseAsXmlObject

    XmlObject getTaskResponseAsXmlObject(String taskId)
                                         throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### setTaskResponse

    void setTaskResponse(TaskMessage response,
                         String taskId)
                         throws MBeanException

  Deprecated.
  Parameters:
    `response` -
    `taskId` -
  Throws:
    `MBeanException`

### setTaskResponseAsXmlObject

    void setTaskResponseAsXmlObject(XmlObject response,
                                    String mimeType,
                                    String taskId)
                                    throws MBeanException

  Deprecated.
  Parameters:
    `response` -
    `mimeType` -
    `taskId` -
  Throws:
    `MBeanException`

### getTaskProperty

    String getTaskProperty(String propertyName,
                           String taskId)
                           throws MBeanException

  Deprecated.
  get a task Property

  Parameters:
    `propertyName` -
    `taskId` -
  Returns:
  Throws:
    `MBeanException`

### getTaskProperties

    String[] getTaskProperties(String[] propertyNames,
                               String taskId)
                               throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### setTaskProperty

    String setTaskProperty(String propertyName,
                           String value,
                           String taskId)
                           throws MBeanException

  Deprecated.
  Return the previous value if there was one

  Parameters:
    `propertyName` -
    `value` -
    `taskId` -
  Returns:
  Throws:
    `MBeanException`

### setTaskProperties

    String[] setTaskProperties(String[] propertyNames,
                               String[] values,
                               String taskId)
                               throws MBeanException

  Deprecated.
  Parameters:
    `propertyNames` -
    `values` -
    `taskId` -
  Returns:
  Throws:
    `MBeanException`

### getTaskPropertiesNames

    String[] getTaskPropertiesNames(String taskId)
                                    throws MBeanException

  Deprecated.
  Return all the task properties names

  Parameters:
    `taskId` -
  Returns:
  Throws:
    `MBeanException`

### removeTaskProperties

    String[] removeTaskProperties(String[] propertyNames,
                                  String taskId)
                                  throws MBeanException

  Deprecated.
  Return the values of the removed properties, the value is null if not found

  Parameters:
    `propertyNames` -
    `taskId` -
  Returns:
  Throws:
    `MBeanException`

### archiveTasks

    void archiveTasks()
                      throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### purgeTasks

    void purgeTasks()
                    throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### deleteTask

    void deleteTask(String taskId)
                    throws MBeanException

  Deprecated.
  Parameters:
    `taskId` -
  Throws:
    `MBeanException`

### deleteTasks

    void deleteTasks(TaskSelector selector)
                     throws MBeanException

  Deprecated.
  Parameters:
    `selector` -
  Throws:
    `MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD